package com.sv.netty.service;

import com.sv.netty.netty.MemberDto;
import io.netty.channel.Channel;

/**
 * 消息实现接口
 *
 * @author peakren
 * @since 03/05/2017 10:04 PM
 */
public interface MessageService {

    /**
     * 接受设备消息
     *
     * @param channel
     * @param content
     */
    void receive(Channel channel, String content);

    void online(Channel channel);

    /**
     * 销毁设备的连接
     *
     * @param channel
     */
    void destory(Channel channel);


    void doOffLine(Integer memberId, String nickname, String machineSn);

    void sendMessage(MemberDto memberDto);
}
